Project

General

Profile

Backport #4060

Make issue in OS X Tiger

Added by sam452 (sam Walton) over 8 years ago. Updated about 8 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
[ruby-core:33195]

Description

=begin
I'm trying to install 1.9.2 into an instance within rvm so that I can install and use Rails 3.0. I have 1.8.6 installed as my system Ruby. When I attempt it in my version of 10.4.11, with bash (GNU bash, version 4.1.7(1)-release (powerpc-apple-darwin8.11.0)).

However I'm getting make errors which are not clear to me. If this is not a bug but something that I can fix, pls point me to the solution. Nothing showed up in my searches.

http://pastie.org/1298078
=end

History

#1

Updated by sakuro (Sakuro OZAWA) over 8 years ago

=begin
Unfortunately MacOSX has a command 'libtool' which does completely different thing from GNU libtool does.
You somehow need to tell 'make' to use '/usr/bin/glibtool' in lieu of 'libtool'. Sorry I don't know how to do that.

=end

#2

Updated by nobu (Nobuyoshi Nakada) over 8 years ago

  • Status changed from Open to Closed
  • ruby -v changed from ruby 1.8.6 (2007-03-13 patchlevel 0) [powerpc-darwin8.9.0] to ruby 1.9.2p0

=begin
Already fixed at 1.9.2-p21, r29567.

Though MacOS X prior to 10.5 is not supported.
=end

#3

Updated by shyouhei (Shyouhei Urabe) over 8 years ago

  • Status changed from Closed to Assigned
  • Assignee set to wyhaines (Kirk Haines)

=begin
It's up to Kirk whether to backport the fix.
=end

#4

Updated by shyouhei (Shyouhei Urabe) over 8 years ago

  • Status changed from Assigned to Closed
  • Assignee deleted (wyhaines (Kirk Haines))

=begin
Sorry Kirk, I misunderstood. This has nothing to do with 1.8.6.
=end

Also available in: Atom PDF